# eric4.Project.DebuggerPropertiesDialog

Module implementing a dialog for entering project specific debugger settings.

### Global Attributes

None

### Classes

DebuggerPropertiesDialog | Class implementing a dialog for entering project specific debugger settings.

### Functions

None

## DebuggerPropertiesDialog

Class implementing a dialog for entering project specific debugger settings.

### Derived from

QDialog, Ui_DebuggerPropertiesDialog

### Class Attributes

None

### Class Methods

None

### Methods

DebuggerPropertiesDialog | Constructor
on_debugClientButton_clicked | Private slot to handle the Debug Client selection.
on_interpreterButton_clicked | Private slot to handle the interpreter selection.
storeData | Public method to store the entered/modified data.

### Static Methods

None

#### DebuggerPropertiesDialog (Constructor)

DebuggerPropertiesDialog(project, parent = None, name = None)

Constructor

project
  reference to the project object
parent
  parent widget of this dialog (QWidget)
name
  name of this dialog (string or QString)

#### DebuggerPropertiesDialog.on_debugClientButton_clicked

on_debugClientButton_clicked()

Private slot to handle the Debug Client selection.

#### DebuggerPropertiesDialog.on_interpreterButton_clicked

on_interpreterButton_clicked()

Private slot to handle the interpreter selection.

#### DebuggerPropertiesDialog.storeData

storeData()

Public method to store the entered/modified data.

Up